# IncentiveTrust

> One incentive's minimum trust score and the grants it held back. Read access, incentives toolset, MCP tool get_incentive_trust.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `id` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"IncentiveTrust","variables":{"id":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"12c697ecf8f86c7377e57a73db9c3dfd8846f24a43fb23257d248d31eee118b3"}}}'
```

## Document

```graphql
query IncentiveTrust($id: UUID!) { __typename incentiveByRowId(rowId: $id) { __typename id heldGrants: incentiveGrantsByIncentiveId( condition: {status: HELD} orderBy: [CREATED_AT_ASC] ) { __typename nodes { __typename createdAt formResponseByFormResponseId { __typename id rowId trustFlags trustScore } id rowId valueEstimate } totalCount } minTrustScore rowId } }
```

Source: https://developer.missin.co.uk/reference/incentives/incentive-trust
